10 votos

La guía de huellas dactilares no está instalada en Ubuntu 20.04

Estoy tratando de instalar el sistema de huellas dactilares-GUI en mi Lenovo Ideapad 520.

Instalé el nuevo Ubuntu 20.04 LTS, sin embargo, la huella digital no funciona.

Intenté ir directamente a Configuración - Usuarios - Inicio de sesión automático y activar el inicio de sesión de huellas dactilares, pero el error es:

No pude acceder a ningún lector de huellas dactilares. Por favor, contacte con el administrador del sistema para que le ayude.

También intenté instalar el GUI de huellas dactilares:

sudo apt-add-repository ppa:fingerprint/fingerprintinggui && sudo apt-get update sudo apt-get install libbsapi policykit-1-fingerprint-gui fingerprint-gui

pero da el error:

E: El paquete "policykit-1-fingerprintinggui" no tiene ningún candidato a la instalación E: El paquete 'fingerprint-gui' no tiene ningún candidato a la instalación

Estoy atascado, ¿alguien tuvo el mismo problema?

enter image description here

0 votos

Nunca fue fingerprint-gui en los repos de Ubuntu. Probablemente lo hayas instalado desde algún PPA.

0 votos

La interfaz gráfica de usuario de huellas dactilares ya no se mantiene y no es compatible con Ubuntu 20.04 y más recientes

10voto

prashantsahni Puntos 344

La interfaz gráfica de huellas dactilares ya no se mantiene y no es compatible con Ubuntu 20.04 y posteriores. Hay una función de inicio de sesión por huella dactilar integrada en 20.04 en Configuración->Usuarios->Autenticación e inicio de sesión.

0 votos

suena increíble. Lo comprobaré cuando llegue a la Laptop donde era una cosa, gracias por la información

2 votos

Intenté ir a Configuración -> Usuarios -> Inicio de sesión automático y habilitar el inicio de sesión por huella digital, Pero el error es: No se ha podido acceder a ningún lector de huellas dactilares Por favor, póngase en contacto con el administrador del sistema para obtener ayuda.

0 votos

Es posible que tenga que añadir los controladores para ese lector en particular.

8voto

Manu Puntos 56

Siga esta guía para remezclas que no sean de GNOME:

https://ubuntu-mate.community/t/fingerprint-login-ubuntu-mate/20852

La configuración del inicio de sesión por huella dactilar está disponible a través de una GUI para Gnome, sin embargo no hay una GUI actual para Ubuntu MATE.

Los siguientes pasos habilitarán el inicio de sesión con huella dactilar y la escalada de privilegios del usuario en Ubuntu MATE, tenga en cuenta que parte de esto dependerá del portátil específico que esté utilizando.

Primer paso: compruebe si su ordenador portátil dispone de un lector de huellas dactilares

lsusb

Si usted tiene uno en la lista, por favor, siga los pasos pocos pasos:

sudo apt install fprintd libpam-fprintd

Ahora tienes que registrar tu huella digital:

fprintd-enroll

Siga la indicación y pase el dedo índice derecho por el escáner 5 veces hasta que obtenga lo siguiente: Resultado de la inscripción: inscripción completada

Ahora tienes que habilitar el acceso:

sudo pam-auth-update

Esto abrirá una interfaz ncurses. Añade un * al lado de Fingerprint authenication y salta a OK y sal.

En este punto podrá utilizar el lector de huellas digitales para autenticarse con privilegios elevados, es decir, sudo. También le permitirá iniciar sesión y desbloquear el sistema utilizando el lector de huellas digitales.

Esto ha sido probado en Ubuntu MATE 18.04, 19.10, y la actual 20.04.

(También puedo confirmar Xubuntu 20.04.)

0 votos

gracias, creo que ejecutando pam-auth-update y habilitando la huella dactilar hice funcionar mi lector de huellas dactilares Goodix en mi Dell Inspiron 5482 después de seguir : reddit.com/r/Dell/comments/hq3kf3/ :)

1voto

user167850 Puntos 230

Es necesario añadir el PPA primero.

sudo add-apt-repository ppa:fingerprint/fingerprint-gui

Por suerte, ya es compatible con focal .

0 votos

Primero añadí el PPA y luego instalé libbsapi policykit-1-fingerprint-gui fingerprint-gui. Y me dio este error

1 votos

excepto que su construcción para focal está teniendo una dependencia de espera para libpolkit-qt-1-dev que es directamente por lo que vi no se construye para focal.

0voto

Sudo pam-auth-update

funciona bien con el U20.04.2 estándar (no ajustado) finalmente puedo confirmar las acciones de sudo a través del lector de fprint

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: